Page MenuHomePhabricator

When adding a new <noinclude> block, instead prefer to extend an existing one to avoid adding whitespace
Closed, ResolvedPublic1 Estimated Story Points

Description

This edit was done with the templatedata editor, and it did this:

+ </noinclude>
+
+ <noinclude>

Which created a stray linebreak in the template which affected rendering in some circumstances (see talk page discussion).

Event Timeline

LuisVilla raised the priority of this task from to Needs Triage.
LuisVilla updated the task description. (Show Details)
LuisVilla added a project: VisualEditor.
LuisVilla added subscribers: LuisVilla, Aklapper.
Aklapper renamed this task from templatedata editor may insert spurious whitespace that impacts template rendering? to templatedata editor may insert spurious whitespace (and <noinclude> tags) that impacts template rendering?.Apr 21 2015, 11:43 AM
Aklapper set Security to None.
Jdforrester-WMF renamed this task from templatedata editor may insert spurious whitespace (and <noinclude> tags) that impacts template rendering? to When adding a new <noinclude> block, instead prefer to extend an existing one to avoid adding whitespace.May 9 2015, 12:18 AM
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF added a project: TemplateData.
Jdforrester-WMF moved this task from Backlog to Next-up on the TemplateData board.
Krenair claimed this task.Jan 12 2016, 6:45 PM
Krenair moved this task from Next-up to Doing on the TemplateData board.

Change 263641 had a related patch set uploaded (by Alex Monk):
Try to put TemplateData in an existing noinclude at bottom of the page

https://gerrit.wikimedia.org/r/263641

matmarex closed this task as Resolved.Jan 25 2016, 12:06 PM
matmarex removed a project: Patch-For-Review.

Change 263641 merged by jenkins-bot:
Try to put TemplateData in an existing noinclude at bottom of the page

https://gerrit.wikimedia.org/r/263641